Subject: bug#68487: [PATCH] Make jump commands usable for all skeletons

From: Stefan Monnier <[email-masked]>
Date: Sun, 28 Jan 2024 13:47:34 -0500

>> > OK.  But after applying the patch on the master branch, I get this
>> > while byte-compiling:
>> >
>> >   In toplevel form:
>> >   expand.el:91:2: Error: Eager macro-expansion failure: (error "Eager macro-expansion skipped due to cycle:
>> >       => (load \"expand.el\") => (macroexpand-all (define-skeleton expand-c-for-skeleton  )) => (macroexpand (define-skeleton  )) => (load \"skeleton.el\") => (load \"expand.el\")")

Why does loading `skeleton.el` cause a load of `expand.el`?
I can't reproduce it here and I can't see any mention of "expand" in
`skeleton.el` that would explain it.

> Stefan, what are our facilities to avoid mutual recursion like that?

It all depends on the specifics.

        Stefan